package cn.lihongjie.coal.exception;

import lombok.Getter;

@Getter
public class BizException extends RuntimeException {

    String code;

    public BizException(String message) {
        this("bizError", message);
    }

    public BizException(String code, String message) {
        super(message);
        this.code = code;
    }

    public BizException(String code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
    }
}
